This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 442014 - Restarting clvmd doesn't get LV locks
Restarting clvmd doesn't get LV locks
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Broz
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 05:03 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2008-0806
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:26:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2008-04-11 05:03:58 EDT
+++ This bug was initially created as a clone of Bug #323001 +++
RHEL4 clone

Description of problem:
if 

log { command_names = 1 }

is set in lvm.conf then clvmd does not re-get the LV locks if it is killed and
restarted.

Version-Release number of selected component (if applicable):
probably all versions of clvmd

How reproducible:
Every time

Steps to Reproduce:
1. in a running cluster, activate some LVs
2. check in /proc/cluster/dlm_locks that the locks are there
3. kill clvmd
4. set log {command_names=1} in /etc/lvm/lvm.conf
5. restart clvmd
6. check /proc/cluster/dlm_locks again

Actual results:
No locks will be shown in the /proc file, the LV locks have not been acquired.

Expected results:
clvmd should get the LV locks regardless of config file settings.


Additional info:

This is down to clvmd using the command:

lvm lvs --nolocking --noheadings -o vg_uuid,lv_uuid,lv_attr,vg_attr 

and parsing the results to get the active LVs. If the output format is changed
in any way then the parsing fails and the locks are not acquired.

I tried adding --config overrides for the logging options but they do not work
for all options (command_name in particular, but there are others), so this
needs fixing in lvm itself before it's worth adding any overrides to clvmd.

-- Additional comment from mbroz@redhat.com on 2008-04-07 09:57 EST --
I just checked in patch which fixes using
--config 'log { command_names = 0 }'

So clvmd can use it now.


-- Additional comment from ccaulfie@redhat.com on 2008-04-08 09:03 EST --
Thanks:

Checking in daemons/clvmd/lvm-functions.c;
/cvs/lvm2/LVM2/daemons/clvmd/lvm-functions.c,v  <--  lvm-functions.c
new revision: 1.39; previous revision: 1.38
done
Comment 1 RHEL Product and Program Management 2008-04-11 05:18:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 errata-xmlrpc 2008-07-25 15:26:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0806.html

Note You need to log in before you can comment on or make changes to this bug.